<?php
/**
 * @package	Acymailing for Joomla!
 * @version	4.0.1
 * @author	acyba.com
 * @copyright	(C) 2009-2012 ACYBA S.A.RL. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><div id="acy_content" >
<div id="iframedoc"></div>
<form action="index.php?option=<?php echo ACYMAILING_COMPONENT ?>&amp;ctrl=diagram" method="post" name="adminForm" id="adminForm" >
	<table width="100%">
		<tr>
			<td width="50%" valign="top">
				<fieldset class="adminform">
					<legend>Display</legend>
					<table>
						<tr>
							<td class="fieldkey"><?php echo JText::_('CHART_TYPE'); ?></td>
							<td>
								<?php
									$value = (empty($this->display['charttype']) ? 'ColumnChart' : $this->display['charttype']);
									$values = array(
										JHTML::_('select.option', 'ColumnChart', JText::_('COLUMN_CHART')),
										JHTML::_('select.option', 'LineChart', JText::_('LINE_CHART'))
									);
									echo JHTML::_('acyselect.radiolist',  $values, 'display[charttype]', '', 'value', 'text', $value );
								?>
							</td>
						</tr>
						<tr>
							<td class="fieldkey"><?php echo JText::_('ACY_PERIOD'); ?></td>
							<td>
								<?php echo JText::_('ACY_FROM_DATE').' '; echo JHTML::_('calendar', @$this->display['datemin'], 'display[datemin]','display_datemin','%Y-%m-%d','style="width:120px"'); ?>
								<?php echo JText::_('ACY_TO_DATE').' ';  echo JHTML::_('calendar', @$this->display['datemax'], 'display[datemax]','display_datemax','%Y-%m-%d','style="width:120px"'); ?>
							</td>
						</tr>
						<tr>
							<td class="fieldkey"><?php echo JText::_('ACY_INTERVAL'); ?></td>
							<td>
								<?php
									$value = (empty($this->display['interval']) ? 'month' : $this->display['interval']);
									$values = array(
										JHTML::_('select.option', 'day', 'Day'),
										JHTML::_('select.option', 'month', 'Month'),
										JHTML::_('select.option', 'year', 'Year')
									);
									echo JHTML::_('acyselect.radiolist',  $values, 'display[interval]', '', 'value', 'text', $value );
								?>
							</td>
						</tr>
					</table>
				</fieldset>
			</td>
			<td valign="top">
				<fieldset class="adminform">
					<legend><?php echo JText::_('ACY_COMPARE'); ?></legend>
					<span><input <?php if(!empty($this->compares['lists'])) echo 'checked="checked"'; ?> type="checkbox" value="lists" name="compares[lists]" id="compares_lists"/><label for="compares_lists"><?php echo JText::_('LISTS'); ?></label></span>
					<br/><span><input <?php if(!empty($this->compares['years'])) echo 'checked="checked"'; ?> type="checkbox" value="years" name="compares[years]" id="compares_years"/><label for="compares_years"><?php echo JText::_('ACY_YEARS'); ?></label></span>
				</fieldset>
			</td>
		</tr>
	</table>
	<p style="text-align:center">
		<input type="submit" class="button btn btn-primary" onclick="document.adminForm.task.value='';" style="padding:10px 20px;font-size:16px" value="<?php echo JText::_('GENERATE_CHART'); ?>"/>
	</p>
	<input type="hidden" name="option" value="<?php echo ACYMAILING_COMPONENT; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctrl" value="<?php echo JRequest::getCmd('ctrl'); ?>" />
</form>
<div id="chart" style="margin-top:30px;width:100%"></div>
<?php if(!empty($this->export)){ ?>
	<img style="position:relative;top:-45px;left:5px;cursor:pointer;" onclick="exportData();" src="<?php echo ACYMAILING_IMAGES.'smallexport.png'; ?>" alt="<?php echo JText::_('ACY_EXPORT',true)?>" title="<?php echo JText::_('ACY_EXPORT',true)?>" />
	<textarea cols="100" rows="10" id="exporteddata" style="display:none;position:absolute;margin-top:-150px;"><?php echo implode("\n",$this->export); ?></textarea>
<?php } ?>
<br style="clear:both" />
</div>
